emma
/
protonkey
Archived
1
0
Fork 0

fixed erroneous gpg dep

This commit is contained in:
Emma Tebibyte 2023-03-22 00:53:19 -04:00
parent 623e54e7a0
commit 4ddc27cbf2
Signed by: emma
GPG Key ID: 6D661C738815E7DD
1 changed files with 4 additions and 9 deletions

View File

@ -24,15 +24,10 @@ if test -z "$1"; then
exit 64 # syexits(3) EX_USAGE
fi
for command in \
curl \
gpg
do
if ! command -v "$command" > /dev/null; then
printf "%s: Missing dependency: %s(1)\n" "$0" "$command" 1>&2
exit 69 # sysexits(3) EX_UNAVAILABLE
fi
done
if ! command -v curl > /dev/null; then
printf "%s: Missing dependency: curl(1)\n" "$0" 1>&2
exit 69 # sysexits(3) EX_UNAVAILABLE
fi
while test -n "$1"; do
URL="https://api.protonmail.ch/pks/lookup?op=get&search=$1"